#pragma once

#include "CoreMinimal.h"
#include "AISkill.h"
#include "AISkill_BardicInspiration.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDBOTS_API UAISkill_BardicInspiration : public UAISkill
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName BBGeneratorLocationKey;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxDistanceFromGenerator;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxDistanceFromSurvivorDuringSkill;

public:
	UAISkill_BardicInspiration();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_BardicInspiration) { return 0; }
